// BASIC CONTENT PANELS JS
// this code should be placed at end of ALL documents that use ssdBasicContentPanels

try {

    // set event handlers for .ssdBasicContentPanelWrap controls on page 
	$(document).ready(function() {	
		// IMAGE CONTROLS Behavior:
		//bind click events to this function/behavior of all IMAGE controls
		// this simplifies the code, and creates a single point of edit/change
		$(".ssdImageControls").bind('click',function () {
			$(this).parent().toggleClass('ssdImageWrapExpanded');
		});
		
		// PANEL CONTROLS Behavior:
		//bind click events to this function/behavior of all PANEL controls
		// this simplifies the code, and creates a single point of edit/change
		$(".ssdPanelControls").bind('click',function () {
			$(this).parent().toggleClass('ssdPanelExpanded');
		});
	     
	 } ); // END doc ready
	 	 
} catch (exp) {
	console.log("Exception in doc.ready code: " + exp.toString());
}
